Créer un dataset
curl --request POST \
--url https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {
"task_version": 1073741824,
"resolved_provider": "<string>",
"resolved_model": "<string>",
"metadata": {}
}
},
"sampling": {
"strategy": "random",
"limit": 50000
},
"split": {
"val": 0.5,
"by": "trace"
}
},
"revision": 123,
"status": "building",
"build_progress": {
"stage": "discovering",
"processed": 123,
"total": 123,
"imported": 123
},
"entry_counts": {
"total": 123,
"train": 123,
"val": 123
},
"relabel_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {
"task_version": 1073741824,
"resolved_provider": "<string>",
"resolved_model": "<string>",
"metadata": {}
}
},
"sampling": {
"strategy": "random",
"limit": 50000
},
"split": {
"val": 0.5,
"by": "trace"
}
},
"revision": 123,
"status": "building",
"build_progress": {
"stage": "discovering",
"processed": 123,
"total": 123,
"imported": 123
},
"entry_counts": {
"total": 123,
"train": 123,
"val": 123
},
"relabel_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Project 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Créer un jeu de données
Avec params, met en file d’attente la création d’un dataset à partir des traces du projet et renvoie 202. Sans params, crée un dataset vide prêt à être utilisé par l’API des entrées et renvoie 201.
POST
/
projects
/
{alias}
/
datasets
Créer un dataset
curl --request POST \
--url https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {
"task_version": 1073741824,
"resolved_provider": "<string>",
"resolved_model": "<string>",
"metadata": {}
}
},
"sampling": {
"strategy": "random",
"limit": 50000
},
"split": {
"val": 0.5,
"by": "trace"
}
},
"revision": 123,
"status": "building",
"build_progress": {
"stage": "discovering",
"processed": 123,
"total": 123,
"imported": 123
},
"entry_counts": {
"total": 123,
"train": 123,
"val": 123
},
"relabel_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {
"task_version": 1073741824,
"resolved_provider": "<string>",
"resolved_model": "<string>",
"metadata": {}
}
},
"sampling": {
"strategy": "random",
"limit": 50000
},
"split": {
"val": 0.5,
"by": "trace"
}
},
"revision": 123,
"status": "building",
"build_progress": {
"stage": "discovering",
"processed": 123,
"total": 123,
"imported": 123
},
"entry_counts": {
"total": 123,
"train": 123,
"val": 123
},
"relabel_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Project 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Autorisations
Une clé API wandb ou un JWT wandb. Les sessions du navigateur sont échangées par le backend de l’application web Model Distillation ; les capacités des tâches sont réservées à un usage interne.
En-têtes
entity personnel ou d’équipe accessible. Omettez ce champ pour utiliser l’entity par défaut de l’utilisateur authentifié.
Paramètres de chemin
Pattern:
^[a-z0-9-]{1,64}$Corps
application/json
Réponse
Un dataset vide a été créé pour permettre l'écriture d'entrées.
- Option 1
- Option 2
Show child attributes
Show child attributes
Options disponibles:
building, ready, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Dernière modification le 8 octobre 2026
Cette page vous a-t-elle été utile ?